cygwin_set_impersonation_token
Prev | Helper functions to change user context | Next

## Name

cygwin_set_impersonation_token

## Synopsis

    #include <sys/cygwin.h>

`void cygwin_set_impersonation_token(`const HANDLE token`)`;

## Description

Use this function to enable the token given as parameter as impersonation token for the next call to `setuid` or `seteuid`. Use `cygwin_set_impersonation_token` together with `cygwin_logon_user` to impersonate users using password authentication.

## See also

See also the chapter Switching the user context in the Cygwin User's guide.

See also cygwin_logon_user

Prev | Up | Next
cygwin_logon_user | Home | Miscellaneous functions